package com.gingersoft.gsa.cloud.base.common.bean;

import android.content.Context;
import android.util.DisplayMetrics;
import android.util.Log;

import com.jess.arms.utils.DeviceUtils;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2018/8/11
 * 修订历史：2018/8/11
 * 描述：
 */

public class CurrentAndroidSetting {

    private int ID;
    private String TableNumPadChar;
    private String PLUNumPadChar;
    private int FoodTypeFontSize = 12;
    private int FoodFontSize = 12;
    private String TableExt = "";
    private int BaseDpi = 480;
    private int BaseHeight = 1920;
    private int BaseWidth = 1080;
    private int ModFontSize = 14;
    private int BillListFontSize = 12;
    private int BillTotalFontSize = 12;
    private int FoodlListFontSize = 12;
    private int LayoutBillListHeight = 40;
    private int LayoutQtyHeight = 40;
    private int LayoutQuitHeight = 40;
    private int LayoutFoodTypeHeight = 100;
    private int FoodBtnHeight = 120;
    private int ModBtnHeight = 68;
    private int FoodTypeCol = 4;
    private int FoodTypeRow = 1;
    private int FoodCol = 4;
    private int ModCol = 5;
    private int DiscountCol = 5;
    private int TableDirection;
    private int RefreshTime = 1;
    private String ShowTableType = "1,2,3,5";
    private int servicecharge_tablemode;
    private int servicecharge_tablemode_setting;
    private int servicecharge_takeoutmode;
    private int servicecharge_deliverymode;
    private int servicecharge_pickupmode;
    private int tableType = 1;
    private boolean ServiceChargeIncludeItemDiscount;
    private boolean BillDiscountIncludeServiceCharge;
    private boolean Edit_Send;
    private int ItemDecimals;
    private int RoundingDecimal = 1;
    private int Rounding;
    private int SystemLanguage = 2;
    private int OpenTableVipFrontColor = 1;
    private int OpenTableVipBackColor = 2;
    private int nowLanguageIndex = 1;
    private String orderlanguage = "1,2,3";
    private boolean MemberLoginCover = true;
    private String LanageName = "中文,粵語,英文";
    private int DataLanguage = 2;
    private int AutoQuitTime = 20;
    private int ModFunctionBarHeight = 60;
    private int BottomBarHeight = 160;
    private int ReportFontSize = 15;
    private String ShopId = "";
    private boolean OrderFunction_Discount;
    private boolean OrderFunction_Transfer;
    private boolean OrderFunction_Print;
    private boolean MainFunction_Report;
    private int printerServerReadTime = 10;
    private boolean OrderFunction_VoidSentItem = false;
    private boolean OrderFunction_ItemDiscount = false;
    private boolean OrderFunction_ItemFoodMerge = false;
    private boolean OrderFunction_FoodTableMode = true;
    private boolean OrderFunction_FoodTemporay = true;
    private boolean Order_InputPax = true;
    private boolean Order_GetTables = true;
    private int OrderOperButtonHeight = 40;
    private int orderInfoHeight = 40;
    private int orderInfoFontSize = 16;
    private int OrderDataOperBtnWidth = 50;
    private int OrderDataOperBtnHeight = 50;
    private boolean BillTextScroll = true;
    private int TableFunctionTopHeight = 100;
    private int TableFunctionBottomHeight = 100;
    private int TableFunctionFontSize = 20;
    private int TableFunctionTopFontSize = 20;
    private int TableFunctionBottomFontSize = 20;
    private String Memberinfo = "MEM_MemberNo,MEM_Phone,MEM_NAME,MEM_Points";
    private String MemberHttp = "http://m.ricepon.com:9090/member-web";
    private boolean EnableErrorLog = true;
    private boolean TableFunction_SplitTable = true;
    private boolean TableFunction_FoodList = true;
    private boolean TableFunction_OfflineOrder = true;
    private boolean MainFunction_TableMode = true;
    private boolean TableFunction_ScanBarcode = true;
    private boolean OrderFunction_send = true;
    private boolean TableFunction_PayBill = true;
    private boolean OrderFunction_PrePay = true;
    private int AutoOpen = 0;
    private int OrderNumberShowSize = 20;
    private int OrderNumberFontSize = 7;
    private int OrderNumberChildShowSize = 20;
    private int OrderNumberChildFontSize = 7;
    private int ShowPluPad = 0;
    //两次点击按钮之间的点击间隔不能少于200毫秒，防止快速点击食品导致不同步问题
    private int ClickInterval = 200;
    //套餐食品名稱最大長度，超出已....結尾
    private int ComboNeedOmitLength = 18;

    /**
     * 暫存
     */
    //組最大數
    private int MealTemporay_GroupMaxCount = 4;
    //每個組最大數，超出省略
    private int MealTemporay_ItemMaxCount = 6;
    //暫存食品文字大小
    private int MealTemporay_TextSize = 14;
    //超出最大顯示數后,標識省略文字
    private String MealTemporay_OmittedText = "......";

    //顯示結賬按鈕
    private boolean ShowPayFunction = true;
    //显示IP弹窗密码，在已输入IP时需要输入密码
    private String IPLockPassword = "888888";
    //當點擊上菜紙, 重置檯號, 轉檯	True=與現時一樣, 讀取數據庫(默認true)	False=不讀數據庫, 直接讀取現時介面的檯號
    private boolean TableLoadServerData = true;
    //主iis是否正常
    private boolean mainNotRead = false;
    //备份IIS的地址
    private String backIIS = "";
    private String OrderBottomFunction = "Quit;BillDetails;send";
    private boolean MenuUpdateAutoAlert = true;
    private boolean UseSystemScan = false;
    private String MemberInputMethod = "Phone,Scan";
    private int waitconnetiontime = 20;
    //是否显示锁屏按钮
    private boolean ShowLockScreenButton = true;
    //休眠多少時間锁屏（秒）
    private int LockScreenChronometerTime = 60;
    //鎖屏亮度
    private int LockScreenBrightness = 0;

    //自動打印上菜紙AllItem=所有食品,NewItem=新食品
    private String SendAutoPrintFoodList = "AllItem";


    //新加字段
    private int TableTextSize = 38;
    private boolean SpliteTableAutoBack = true;
    private boolean PaperPrintAutoBack = true;
    private boolean RestTableAutoBack = true;
    private boolean MoveTableAutoBack = true;

    /**
     * QR檯标识配置
     */
    private String QRTable_FlagText = "S";
    private int QRTable_FlagTextSize = 16;
    private String QRTable_FlagTextColor = "#FFFFFF";
    private String QRTable_FlagTextBackGroup = "#f57c00";
    private int QRTable_FlagWith = 25;
    private int QRTable_FlagHeight = 25;

    /**
     * 手持设备相关
     */
    //打印QRCode大小
    private int QR_Size = 5;
    private String QR_DeliveryMinute = "00,15,30,45"; //生成QRCode交台时间（分）{使用逗号分隔}
    private int QR_DeliveryLaterDefault = 120; //生成QRCode交台时间默认往后推多久(默认2小时 120分钟)
    private int QR_SummaryIndexDefault = 0; //默认选中第一个餐种
    //打印QRCode頭部、底部字体大小
    private int QRBill_TopMsgTextSize = 24;
    private int QRBill_NoteTextSize = 24;

    //是否Skyorder 模式(SkyorderLock=Y此時手機skyorder長期紅燈著亮是處於skyorder模式  點選台號→人數(人數鍵盤需要調整直接1~20人數不用按√確認)→直接打印QR小票)
    private String SkyorderLock = "N";
    /**
     * 印单字体大小
     */
    //订单信息（单号、人数...）
    private int PrintOrderInfo_TextSize = 24;
    //食品
    private int PrintOrderFood_TextSize = 26;
    //金额（总金额、服务费）
    private int PrintOrderMoney_TextSize = 26;
    //会员信息
    private int PrintMemberInfo_TextSize = 24;

    /**
     * 使用机器名配置相关功能开关，使用逗号分隔机器名（默认：N 所有机器）
     */
    //使用外部打印机打印 (印单、上菜纸、送单自動打印上菜紙)
    private String UseExternalPrintByMachineName = "";
    //手持设备是否使用 SkyOrder
    private String UseSkyOrderFunctionByMachineName = "";
    //印单无会员打印 积分二维码
    private String PrintIntegralQRCodeByMachineName = "N";
    //印单打印会员信息
    private String PrintMemberInfoByMachineName = "N";
    //印单印条形码
    private String PrintOrderBarCodeByMachineName = "N";
    //上菜纸印条形码
    private String ServingPaperBarCodeByMachineName = "N";

    // 去掉 PrintBarCodeByMachineName
    // 新增 PrintOrderBarCodeByMachineName、ServingPaperBarCodeByMachineName

    //條形碼寬高
    private int BarCode_width = 3;
    private int BarCode_Height = 100;
    //积分二维码
    private int IntegralQR_Size = 6;
    private String IntegralTitle = "請掃描二維碼";
    private String IntegralTitle2 = "《追加積分到個人賬戶》";
    //上菜紙
    private String ServingPaperTitle = "收到付款";

    /**
     * 打印会员信息、积分
     */
    private String Print_MemberPointsSort;//印單會員信息打印順序
    private String vBlurChar = "*";//通配符
    private int vShowMemberPhoneFront = 3;//會員手機號碼通配符顯示位置從哪裡開始
    private int vShowMemberPhoneBack = 9;//會員手機號碼通配符顯示位置到哪裡結束
    private int vShowMemberNameChar = 0;//會員名稱號碼通配符顯示位置

    /**
     * 结账相关
     */
    //支持选中几种支付方式(默认支持一种)
    private int ContemporarySelectedPayWayCount = 2;

    private Set<String> customizeSetting = new HashSet<>();

    private int screen_w = 1080;
    private int screen_h = 1920;
    private int screen_density_dpi;

    public void adjustSize(Context context, CurrentAndroidSetting setting) {
        DisplayMetrics metrics = DeviceUtils.getDisplayMetrics(context);
        screen_w = metrics.widthPixels;
        screen_h = metrics.heightPixels;
        screen_density_dpi = metrics.densityDpi;

        if (!setting.customizeSetting.contains("TableFunctionBottomHeight")) {
            //计算高度/
            setting.TableFunctionBottomHeight = (int) Math.ceil((float) setting.TableFunctionBottomHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }
        if (!setting.customizeSetting.contains("TableFunctionTopHeight")) {
            //计算高度/
            setting.TableFunctionTopHeight = (int) Math.ceil((float) setting.TableFunctionTopHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }
        if (!setting.customizeSetting.contains("OrderOperButtonHeight")) {
            //计算高度/
            setting.OrderOperButtonHeight = (int) Math.ceil((float) setting.OrderOperButtonHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }
        if (!setting.customizeSetting.contains("LayoutBillListHeight")) {
            //计算高度/
            setting.LayoutBillListHeight = (int) Math.ceil((float) setting.LayoutBillListHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }
        if (!setting.customizeSetting.contains("LayoutQtyHeight")) {
            //计算高度/
            setting.LayoutQtyHeight = (int) Math.ceil((float) setting.LayoutQtyHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }
        if (!setting.customizeSetting.contains("LayoutQuitHeight")) {
            //计算高度/
            setting.LayoutQuitHeight = (int) Math.ceil((float) setting.LayoutQuitHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }

        if (!setting.customizeSetting.contains("LayoutFoodTypeHeight")) {
            //计算高度/
            setting.LayoutFoodTypeHeight = (int) Math.ceil((float) setting.LayoutFoodTypeHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }
        if (!setting.customizeSetting.contains("FoodBtnHeight")) {
            //计算高度/
            Log.e("初始FoodBtnHeight", FoodBtnHeight + "");
            setting.FoodBtnHeight = (int) Math.ceil((float) setting.FoodBtnHeight / (float) setting.BaseHeight * (float) setting.screen_h);
            Log.e("最后得出的FoodBtnHeight", setting.FoodBtnHeight + "");
        }
        if (!setting.customizeSetting.contains("ModBtnHeight")) {
            //计算高度/
            setting.ModBtnHeight = (int) Math.ceil((float) setting.ModBtnHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }

        if (!setting.customizeSetting.contains("ModFunctionBarHeight")) {
            //计算高度/
            setting.ModFunctionBarHeight = (int) Math.ceil((float) setting.ModFunctionBarHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }
        if (!setting.customizeSetting.contains("BottomBarHeight")) {
            //计算高度/
            setting.BottomBarHeight = (int) Math.ceil((float) setting.BottomBarHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }

        if (!setting.customizeSetting.contains("OrderDataOperBtnWidth")) {
            //计算高度/
            OrderDataOperBtnWidth = (int) Math.ceil((float) OrderDataOperBtnWidth / (float) BaseWidth * (float) screen_w);
        }
        if (!customizeSetting.contains("OrderDataOperBtnHeight")) {
            //计算高度/
            setting.OrderDataOperBtnHeight = (int) Math.ceil((float) setting.OrderDataOperBtnHeight / (float) setting.BaseHeight * (float) setting.screen_h);
        }

        float screen_scaledDensity = (float) setting.screen_density_dpi / 160;
        float base_scaledDensity = (float) setting.BaseDpi / 160;
        float rate = (float) (base_scaledDensity / screen_scaledDensity);

        if (!setting.customizeSetting.contains("TableFunctionTopFontSize")) {
            setting.TableFunctionTopFontSize = (int) Math.ceil((float) setting.TableFunctionTopFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);///base_scaledDensity*(float)privateClass.screen_scaledDensity);
        }
        if (!setting.customizeSetting.contains("TableFunctionBottomFontSize")) {
            setting.TableFunctionBottomFontSize = (int) Math.ceil((float) setting.TableFunctionBottomFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
        }
        if (!setting.customizeSetting.contains("FoodTypeFontSize")) {
            setting.FoodTypeFontSize = (int) Math.ceil((float) setting.FoodTypeFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
        }
        if (!setting.customizeSetting.contains("FoodFontSize")) {
            setting.FoodFontSize = (int) Math.ceil((float) setting.FoodFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
        }
        if (!setting.customizeSetting.contains("ModFontSize")) {
            setting.ModFontSize = (int) Math.ceil((float) setting.ModFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
        }
        if (!setting.customizeSetting.contains("BillTotalFontSize")) {
            setting.BillTotalFontSize = (int) Math.ceil((float) setting.BillTotalFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
        }
        if (!setting.customizeSetting.contains("BillListFontSize")) {
            Log.e("初始BillListFontSize", setting.BillListFontSize + "");
            setting.BillListFontSize = (int) Math.ceil((float) setting.BillListFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
            Log.e("最后得出的BillListFontSize", BillListFontSize + "");
        }
        if (!setting.customizeSetting.contains("FoodlListFontSize")) {
            setting.FoodlListFontSize = (int) Math.ceil((float) setting.FoodlListFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
        }
        if (!setting.customizeSetting.contains("orderInfoFontSize")) {
            Log.e("初始orderInfoFontSize", setting.orderInfoFontSize + "");
            setting.orderInfoFontSize = (int) Math.ceil((float) setting.orderInfoFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
            Log.e("最后得出的orderInfoFontSize", setting.orderInfoFontSize + "");
        }
        if (!setting.customizeSetting.contains("TableFunctionFontSize")) {
            setting.TableFunctionFontSize = (int) Math.ceil((float) setting.TableFunctionFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
        }
        if (!setting.customizeSetting.contains("OrderNumberFontSize")) {
            setting.OrderNumberFontSize = (int) Math.ceil((float) setting.OrderNumberFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
        }
        if (!setting.customizeSetting.contains("OrderNumberChildFontSize")) {
            setting.OrderNumberChildFontSize = (int) Math.ceil((float) setting.OrderNumberChildFontSize / (float) setting.BaseWidth * (float) setting.screen_w * rate);
        }
    }


    public boolean isShowPayFunction() {
        return ShowPayFunction;
    }

    public void setShowPayFunction(boolean showPayFunction) {
        ShowPayFunction = showPayFunction;
    }

    public int getTableTextSize() {
        return TableTextSize;
    }

    public void setTableTextSize(int tableTextSize) {
        TableTextSize = tableTextSize;
    }

    public int getID() {
        return ID;
    }

    public void setID(int ID) {
        this.ID = ID;
    }

    public String getTableNumPadChar() {
        return TableNumPadChar;
    }

    public void setTableNumPadChar(String tableNumPadChar) {
        TableNumPadChar = tableNumPadChar;
    }

    public String getPLUNumPadChar() {
        return PLUNumPadChar;
    }

    public void setPLUNumPadChar(String PLUNumPadChar) {
        this.PLUNumPadChar = PLUNumPadChar;
    }

    public int getFoodTypeFontSize() {
        return FoodTypeFontSize;
    }

    public void setFoodTypeFontSize(int foodTypeFontSize) {
        FoodTypeFontSize = foodTypeFontSize;
    }

    public int getFoodFontSize() {
        return FoodFontSize;
    }

    public void setFoodFontSize(int foodFontSize) {
        FoodFontSize = foodFontSize;
    }

    public String getTableExt() {
        return TableExt;
    }

    public void setTableExt(String tableExt) {
        TableExt = tableExt;
    }

    public int getBaseDpi() {
        return BaseDpi;
    }

    public void setBaseDpi(int baseDpi) {
        BaseDpi = baseDpi;
    }

    public int getBaseHeight() {
        return BaseHeight;
    }

    public void setBaseHeight(int baseHeight) {
        BaseHeight = baseHeight;
    }

    public int getBaseWidth() {
        return BaseWidth;
    }

    public void setBaseWidth(int baseWidth) {
        BaseWidth = baseWidth;
    }

    public int getModFontSize() {
        return ModFontSize;
    }

    public void setModFontSize(int modFontSize) {
        ModFontSize = modFontSize;
    }

    public int getBillListFontSize() {
        return BillListFontSize;
    }

    public void setBillListFontSize(int billListFontSize) {
        BillListFontSize = billListFontSize;
    }

    public int getBillTotalFontSize() {
        return BillTotalFontSize;
    }

    public void setBillTotalFontSize(int billTotalFontSize) {
        BillTotalFontSize = billTotalFontSize;
    }

    public int getFoodlListFontSize() {
        return FoodlListFontSize;
    }

    public void setFoodlListFontSize(int foodlListFontSize) {
        FoodlListFontSize = foodlListFontSize;
    }

    public int getLayoutBillListHeight() {
        return LayoutBillListHeight;
    }

    public void setLayoutBillListHeight(int layoutBillListHeight) {
        LayoutBillListHeight = layoutBillListHeight;
    }

    public int getLayoutQtyHeight() {
        return LayoutQtyHeight;
    }

    public void setLayoutQtyHeight(int layoutQtyHeight) {
        LayoutQtyHeight = layoutQtyHeight;
    }

    public int getLayoutQuitHeight() {
        return LayoutQuitHeight;
    }

    public void setLayoutQuitHeight(int layoutQuitHeight) {
        LayoutQuitHeight = layoutQuitHeight;
    }

    public int getLayoutFoodTypeHeight() {
        return LayoutFoodTypeHeight;
    }

    public void setLayoutFoodTypeHeight(int layoutFoodTypeHeight) {
        LayoutFoodTypeHeight = layoutFoodTypeHeight;
    }

    public int getFoodBtnHeight() {
        return FoodBtnHeight;
    }

    public void setFoodBtnHeight(int foodBtnHeight) {
        FoodBtnHeight = foodBtnHeight;
    }

    public int getModBtnHeight() {
        return ModBtnHeight;
    }

    public void setModBtnHeight(int modBtnHeight) {
        ModBtnHeight = modBtnHeight;
    }

    public int getFoodTypeCol() {
        return FoodTypeCol;
    }

    public void setFoodTypeCol(int foodTypeCol) {
        FoodTypeCol = foodTypeCol;
    }

    public int getFoodTypeRow() {
        return FoodTypeRow;
    }

    public void setFoodTypeRow(int foodTypeRow) {
        FoodTypeRow = foodTypeRow;
    }

    public int getFoodCol() {
        return FoodCol;
    }

    public void setFoodCol(int foodCol) {
        FoodCol = foodCol;
    }

    public int getModCol() {
        return ModCol;
    }

    public void setModCol(int modCol) {
        ModCol = modCol;
    }

    public int getTableDirection() {
        return TableDirection;
    }

    public void setTableDirection(int tableDirection) {
        TableDirection = tableDirection;
    }

    public int getRefreshTime() {
        return RefreshTime;
    }

    public void setRefreshTime(int refreshTime) {
        RefreshTime = refreshTime;
    }

    public int getDiscountCol() {
        return DiscountCol;
    }

    public void setDiscountCol(int discountCol) {
        DiscountCol = discountCol;
    }

    public String getShowTableType() {
        return ShowTableType;
    }

    public void setShowTableType(String showTableType) {
        ShowTableType = showTableType;
    }

    public int getServicecharge_tablemode() {
        return servicecharge_tablemode;
    }

    public void setServicecharge_tablemode(int servicecharge_tablemode) {
        this.servicecharge_tablemode = servicecharge_tablemode;
    }

    public int getServicecharge_tablemode_setting() {
        return servicecharge_tablemode_setting;
    }

    public void setServicecharge_tablemode_setting(int servicecharge_tablemode_setting) {
        this.servicecharge_tablemode_setting = servicecharge_tablemode_setting;
    }

    public int getServicecharge_takeoutmode() {
        return servicecharge_takeoutmode;
    }

    public void setServicecharge_takeoutmode(int servicecharge_takeoutmode) {
        this.servicecharge_takeoutmode = servicecharge_takeoutmode;
    }

    public int getServicecharge_deliverymode() {
        return servicecharge_deliverymode;
    }

    public void setServicecharge_deliverymode(int servicecharge_deliverymode) {
        this.servicecharge_deliverymode = servicecharge_deliverymode;
    }

    public int getServicecharge_pickupmode() {
        return servicecharge_pickupmode;
    }

    public void setServicecharge_pickupmode(int servicecharge_pickupmode) {
        this.servicecharge_pickupmode = servicecharge_pickupmode;
    }

    public int getTableType() {
        return tableType;
    }

    public void setTableType(int tableType) {
        this.tableType = tableType;
    }

    public boolean isServiceChargeIncludeItemDiscount() {
        return ServiceChargeIncludeItemDiscount;
    }

    public void setServiceChargeIncludeItemDiscount(boolean serviceChargeIncludeItemDiscount) {
        ServiceChargeIncludeItemDiscount = serviceChargeIncludeItemDiscount;
    }

    public boolean isBillDiscountIncludeServiceCharge() {
        return BillDiscountIncludeServiceCharge;
    }

    public void setBillDiscountIncludeServiceCharge(boolean billDiscountIncludeServiceCharge) {
        BillDiscountIncludeServiceCharge = billDiscountIncludeServiceCharge;
    }

    public boolean isEdit_Send() {
        return Edit_Send;
    }

    public void setEdit_Send(boolean edit_Send) {
        Edit_Send = edit_Send;
    }

    public int getItemDecimals() {
        return ItemDecimals;
    }

    public void setItemDecimals(int itemDecimals) {
        ItemDecimals = itemDecimals;
    }

    public int getRoundingDecimal() {
        return RoundingDecimal;
    }

    public void setRoundingDecimal(int roundingDecimal) {
        RoundingDecimal = roundingDecimal;
    }

    public int getRounding() {
        return Rounding;
    }

    public void setRounding(int rounding) {
        Rounding = rounding;
    }

    public int getSystemLanguage() {
        return SystemLanguage;
    }

    public void setSystemLanguage(int systemLanguage) {
        SystemLanguage = systemLanguage;
    }

    public int getOpenTableVipFrontColor() {
        return OpenTableVipFrontColor;
    }

    public void setOpenTableVipFrontColor(int openTableVipFrontColor) {
        OpenTableVipFrontColor = openTableVipFrontColor;
    }

    public int getOpenTableVipBackColor() {
        return OpenTableVipBackColor;
    }

    public void setOpenTableVipBackColor(int openTableVipBackColor) {
        OpenTableVipBackColor = openTableVipBackColor;
    }

    public int getNowLanguageIndex() {
        return nowLanguageIndex;
    }

    public void setNowLanguageIndex(int nowLanguageIndex) {
        this.nowLanguageIndex = nowLanguageIndex;
    }

    public String getOrderlanguage() {
        return orderlanguage;
    }

    public void setOrderlanguage(String orderlanguage) {
        this.orderlanguage = orderlanguage;
    }

    public boolean getMemberLoginCover() {
        return MemberLoginCover;
    }

    public void setMemberLoginCover(boolean memberLoginCover) {
        MemberLoginCover = memberLoginCover;
    }

    public String getLanageName() {
        return LanageName;
    }

    public void setLanageName(String lanageName) {
        LanageName = lanageName;
    }

    public int getDataLanguage() {
        return DataLanguage;
    }

    public void setDataLanguage(int dataLanguage) {
        DataLanguage = dataLanguage;
    }

    public int getAutoQuitTime() {
        return AutoQuitTime;
    }

    public void setAutoQuitTime(int autoQuitTime) {
        AutoQuitTime = autoQuitTime;
    }

    public int getModFunctionBarHeight() {
        return ModFunctionBarHeight;
    }

    public void setModFunctionBarHeight(int modFunctionBarHeight) {
        ModFunctionBarHeight = modFunctionBarHeight;
    }


    public boolean isMemberLoginCover() {
        return MemberLoginCover;
    }

    public boolean isEnableErrorLog() {
        return EnableErrorLog;
    }

    public boolean isTableFunction_SplitTable() {
        return TableFunction_SplitTable;
    }

    public boolean isTableFunction_FoodList() {
        return TableFunction_FoodList;
    }

    public boolean isTableFunction_OfflineOrder() {
        return TableFunction_OfflineOrder;
    }

    public boolean isMainFunction_TableMode() {
        return MainFunction_TableMode;
    }

    public boolean isTableFunction_ScanBarcode() {
        return TableFunction_ScanBarcode;
    }

    public boolean isOrderFunction_send() {
        return OrderFunction_send;
    }

    public boolean isTableLoadServerData() {
        return TableLoadServerData;
    }


    public boolean isTableFunction_PayBill() {
        return TableFunction_PayBill;
    }

    public void setTableFunction_PayBill(boolean tableFunction_PayBill) {
        TableFunction_PayBill = tableFunction_PayBill;
    }

    public boolean isOrderFunction_PrePay() {
        return OrderFunction_PrePay;
    }

    public void setOrderFunction_PrePay(boolean orderFunction_PrePay) {
        OrderFunction_PrePay = orderFunction_PrePay;
    }

    public int getBottomBarHeight() {
        return BottomBarHeight;
    }

    public void setBottomBarHeight(int bottomBarHeight) {
        BottomBarHeight = bottomBarHeight;
    }

    public int getReportFontSize() {
        return ReportFontSize;
    }

    public void setReportFontSize(int reportFontSize) {
        ReportFontSize = reportFontSize;
    }

    public String getShopId() {
        return ShopId;
    }

    public void setShoId(String shopCode) {
        ShopId = shopCode;
    }

    public boolean isOrderFunction_Discount() {
        return OrderFunction_Discount;
    }

    public void setOrderFunction_Discount(boolean orderFunction_Discount) {
        OrderFunction_Discount = orderFunction_Discount;
    }

    public boolean isOrderFunction_Transfer() {
        return OrderFunction_Transfer;
    }

    public void setOrderFunction_Transfer(boolean orderFunction_Transfer) {
        OrderFunction_Transfer = orderFunction_Transfer;
    }

    public boolean isOrderFunction_Print() {
        return OrderFunction_Print;
    }

    public void setOrderFunction_Print(boolean orderFunction_Print) {
        OrderFunction_Print = orderFunction_Print;
    }

    public boolean isMainFunction_Report() {
        return MainFunction_Report;
    }

    public void setMainFunction_Report(boolean mainFunction_Report) {
        MainFunction_Report = mainFunction_Report;
    }

    public int getPrinterServerReadTime() {
        return printerServerReadTime;
    }

    public void setPrinterServerReadTime(int printerServerReadTime) {
        this.printerServerReadTime = printerServerReadTime;
    }

    public boolean isOrderFunction_VoidSentItem() {
        return OrderFunction_VoidSentItem;
    }

    public void setOrderFunction_VoidSentItem(boolean orderFunction_VoidSentItem) {
        OrderFunction_VoidSentItem = orderFunction_VoidSentItem;
    }

    public boolean isOrderFunction_ItemDiscount() {
        return OrderFunction_ItemDiscount;
    }

    public void setOrderFunction_ItemDiscount(boolean orderFunction_ItemDiscount) {
        OrderFunction_ItemDiscount = orderFunction_ItemDiscount;
    }

    public boolean isOrderFunction_ItemFoodMerge() {
        return OrderFunction_ItemFoodMerge;
    }

    public void setOrderFunction_ItemFoodMerge(boolean orderFunction_ItemFoodMerge) {
        OrderFunction_ItemFoodMerge = orderFunction_ItemFoodMerge;
    }

    public boolean isOrderFunction_FoodTableMode() {
        return OrderFunction_FoodTableMode;
    }

    public void setOrderFunction_FoodTableMode(boolean orderFunction_FoodTableMode) {
        OrderFunction_FoodTableMode = orderFunction_FoodTableMode;
    }

    public boolean isOrder_InputPax() {
        return Order_InputPax;
    }

    public void setOrder_InputPax(boolean order_InputPax) {
        Order_InputPax = order_InputPax;
    }

    public boolean isOrder_GetTables() {
        return Order_GetTables;
    }

    public void setOrder_GetTables(boolean order_GetTables) {
        Order_GetTables = order_GetTables;
    }

    public int getOrderOperButtonHeight() {
        return OrderOperButtonHeight;
    }

    public void setOrderOperButtonHeight(int orderOperButtonHeight) {
        OrderOperButtonHeight = orderOperButtonHeight;
    }

    public int getOrderInfoHeight() {
        return orderInfoHeight;
    }

    public void setOrderInfoHeight(int orderInfoHeight) {
        this.orderInfoHeight = orderInfoHeight;
    }

    public int getOrderInfoFontSize() {
        return orderInfoFontSize;
    }

    public void setOrderInfoFontSize(int orderInfoFontSize) {
        this.orderInfoFontSize = orderInfoFontSize;
    }

    public int getOrderDataOperBtnWidth() {
        return OrderDataOperBtnWidth;
    }

    public void setOrderDataOperBtnWidth(int orderDataOperBtnWidth) {
        OrderDataOperBtnWidth = orderDataOperBtnWidth;
    }

    public int getOrderDataOperBtnHeight() {
        return OrderDataOperBtnHeight;
    }

    public void setOrderDataOperBtnHeight(int orderDataOperBtnHeight) {
        OrderDataOperBtnHeight = orderDataOperBtnHeight;
    }

    public boolean isBillTextScroll() {
        return BillTextScroll;
    }

    public void setBillTextScroll(boolean billTextScroll) {
        BillTextScroll = billTextScroll;
    }

    public int getTableFunctionTopHeight() {
        return TableFunctionTopHeight;
    }

    public void setTableFunctionTopHeight(int tableFunctionTopHeight) {
        TableFunctionTopHeight = tableFunctionTopHeight;
    }

    public int getTableFunctionBottomHeight() {
        return TableFunctionBottomHeight;
    }

    public void setTableFunctionBottomHeight(int tableFunctionBottomHeight) {
        TableFunctionBottomHeight = tableFunctionBottomHeight;
    }

    public int getTableFunctionFontSize() {
        return TableFunctionFontSize;
    }

    public void setTableFunctionFontSize(int tableFunctionFontSize) {
        TableFunctionFontSize = tableFunctionFontSize;
    }

    public int getTableFunctionTopFontSize() {
        return TableFunctionTopFontSize;
    }

    public void setTableFunctionTopFontSize(int tableFunctionTopFontSize) {
        TableFunctionTopFontSize = tableFunctionTopFontSize;
    }

    public int getTableFunctionBottomFontSize() {
        return TableFunctionBottomFontSize;
    }

    public void setTableFunctionBottomFontSize(int tableFunctionBottomFontSize) {
        TableFunctionBottomFontSize = tableFunctionBottomFontSize;
    }

    public String getMemberinfo() {
        return Memberinfo;
    }

    public void setMemberinfo(String memberinfo) {
        Memberinfo = memberinfo;
    }

    public String getMemberHttp() {
        return MemberHttp;
    }

    public void setMemberHttp(String memberHttp) {
        MemberHttp = memberHttp;
    }

    public boolean getEnableErrorLog() {
        return EnableErrorLog;
    }

    public void setEnableErrorLog(boolean enableErrorLog) {
        EnableErrorLog = enableErrorLog;
    }

    public boolean getTableFunction_SplitTable() {
        return TableFunction_SplitTable;
    }

    public void setTableFunction_SplitTable(boolean tableFunction_SplitTable) {
        TableFunction_SplitTable = tableFunction_SplitTable;
    }

    public boolean getTableFunction_FoodList() {
        return TableFunction_FoodList;
    }

    public void setTableFunction_FoodList(boolean tableFunction_FoodList) {
        TableFunction_FoodList = tableFunction_FoodList;
    }

    public boolean getTableFunction_OfflineOrder() {
        return TableFunction_OfflineOrder;
    }

    public void setTableFunction_OfflineOrder(boolean tableFunction_OfflineOrder) {
        TableFunction_OfflineOrder = tableFunction_OfflineOrder;
    }

    public boolean getMainFunction_TableMode() {
        return MainFunction_TableMode;
    }

    public void setMainFunction_TableMode(boolean mainFunction_TableMode) {
        MainFunction_TableMode = mainFunction_TableMode;
    }

    public boolean getTableFunction_ScanBarcode() {
        return TableFunction_ScanBarcode;
    }

    public void setTableFunction_ScanBarcode(boolean tableFunction_ScanBarcode) {
        TableFunction_ScanBarcode = tableFunction_ScanBarcode;
    }

    public boolean getOrderFunction_send() {
        return OrderFunction_send;
    }

    public void setOrderFunction_send(boolean orderFunction_send) {
        OrderFunction_send = orderFunction_send;
    }

    public int getAutoOpen() {
        return AutoOpen;
    }

    public void setAutoOpen(int autoOpen) {
        AutoOpen = autoOpen;
    }

    public int getOrderNumberShowSize() {
        return OrderNumberShowSize;
    }

    public void setOrderNumberShowSize(int orderNumberShowSize) {
        OrderNumberShowSize = orderNumberShowSize;
    }

    public int getOrderNumberFontSize() {
        return OrderNumberFontSize;
    }

    public void setOrderNumberFontSize(int orderNumberFontSize) {
        OrderNumberFontSize = orderNumberFontSize;
    }

    public int getOrderNumberChildShowSize() {
        return OrderNumberChildShowSize;
    }

    public void setOrderNumberChildShowSize(int orderNumberChildShowSize) {
        OrderNumberChildShowSize = orderNumberChildShowSize;
    }

    public int getOrderNumberChildFontSize() {
        return OrderNumberChildFontSize;
    }

    public void setOrderNumberChildFontSize(int orderNumberChildFontSize) {
        OrderNumberChildFontSize = orderNumberChildFontSize;
    }

    public int getShowPluPad() {
        return ShowPluPad;
    }

    public void setShowPluPad(int showPluPad) {
        ShowPluPad = showPluPad;
    }

    public boolean getTableLoadServerData() {
        return TableLoadServerData;
    }

    public void setTableLoadServerData(boolean tableLoadServerData) {
        TableLoadServerData = tableLoadServerData;
    }

    public boolean isMainNotRead() {
        return mainNotRead;
    }

    public void setMainNotRead(boolean mainNotRead) {
        this.mainNotRead = mainNotRead;
    }

    public String getBackIIS() {
        return backIIS;
    }

    public void setBackIIS(String backIIS) {
        this.backIIS = backIIS;
    }

    public String getOrderBottomFunction() {
        return OrderBottomFunction;
    }

    public void setOrderBottomFunction(String orderBottomFunction) {
        OrderBottomFunction = orderBottomFunction;
    }

    public boolean isMenuUpdateAutoAlert() {
        return MenuUpdateAutoAlert;
    }

    public void setMenuUpdateAutoAlert(boolean menuUpdateAutoAlert) {
        MenuUpdateAutoAlert = menuUpdateAutoAlert;
    }

    public boolean isUseSystemScan() {
        return UseSystemScan;
    }

    public void setUseSystemScan(boolean useSystemScan) {
        UseSystemScan = useSystemScan;
    }

    public String getMemberInputMethod() {
        return MemberInputMethod;
    }

    public void setMemberInputMethod(String memberInputMethod) {
        MemberInputMethod = memberInputMethod;
    }

    public int getWaitconnetiontime() {
        return waitconnetiontime;
    }

    public Set<String> getCustomizeSetting() {
        return customizeSetting;
    }

    public void setCustomizeSetting(Set<String> customizeSetting) {
        this.customizeSetting = customizeSetting;
    }

    public int getScreen_w() {
        return screen_w;
    }

    public void setScreen_w(int screen_w) {
        this.screen_w = screen_w;
    }

    public int getScreen_h() {
        return screen_h;
    }

    public void setScreen_h(int screen_h) {
        this.screen_h = screen_h;
    }

    public int getScreen_density_dpi() {
        return screen_density_dpi;
    }

    public void setScreen_density_dpi(int screen_density_dpi) {
        this.screen_density_dpi = screen_density_dpi;
    }

    public boolean isSpliteTableAutoBack() {
        return SpliteTableAutoBack;
    }

    public void setSpliteTableAutoBack(boolean spliteTableAutoBack) {
        SpliteTableAutoBack = spliteTableAutoBack;
    }

    public boolean isPaperPrintAutoBack() {
        return PaperPrintAutoBack;
    }

    public void setPaperPrintAutoBack(boolean paperPrintAutoBack) {
        PaperPrintAutoBack = paperPrintAutoBack;
    }

    public boolean isRestTableAutoBack() {
        return RestTableAutoBack;
    }

    public void setRestTableAutoBack(boolean restTableAutoBack) {
        RestTableAutoBack = restTableAutoBack;
    }

    public boolean isMoveTableAutoBack() {
        return MoveTableAutoBack;
    }

    public void setMoveTableAutoBack(boolean moveTableAutoBack) {
        MoveTableAutoBack = moveTableAutoBack;
    }

    public String getQR_DeliveryMinute() {
        return QR_DeliveryMinute;
    }

    public void setQR_DeliveryMinute(String QR_DeliveryMinute) {
        this.QR_DeliveryMinute = QR_DeliveryMinute;
    }

    public int getQR_DeliveryLaterDefault() {
        return QR_DeliveryLaterDefault;
    }

    public void setQR_DeliveryLaterDefault(int QR_DeliveryLaterDefault) {
        this.QR_DeliveryLaterDefault = QR_DeliveryLaterDefault;
    }

    public int getQR_SummaryIndexDefault() {
        return QR_SummaryIndexDefault;
    }

    public void setQR_SummaryIndexDefault(int QR_SummaryIndexDefault) {
        this.QR_SummaryIndexDefault = QR_SummaryIndexDefault;
    }

    public int getQRBill_TopMsgTextSize() {
        return QRBill_TopMsgTextSize;
    }

    public void setQRBill_TopMsgTextSize(int QRBill_TopMsgTextSize) {
        this.QRBill_TopMsgTextSize = QRBill_TopMsgTextSize;
    }

    public int getQRBill_NoteTextSize() {
        return QRBill_NoteTextSize;
    }

    public void setQRBill_NoteTextSize(int QRBill_NoteTextSize) {
        this.QRBill_NoteTextSize = QRBill_NoteTextSize;
    }

    public int getQR_Size() {
        return QR_Size;
    }

    public void setQR_Size(int QR_Size) {
        this.QR_Size = QR_Size;
    }

    public String getSendAutoPrintFoodList() {
        return SendAutoPrintFoodList;
    }

    public void setSendAutoPrintFoodList(String sendAutoPrintFoodList) {
        SendAutoPrintFoodList = sendAutoPrintFoodList;
    }

    public String getPrint_MemberPointsSort() {
        return Print_MemberPointsSort;
    }

    public void setPrint_MemberPointsSort(String print_MemberPointsSort) {
        Print_MemberPointsSort = print_MemberPointsSort;
    }

    public String getvBlurChar() {
        return vBlurChar;
    }

    public void setvBlurChar(String vBlurChar) {
        this.vBlurChar = vBlurChar;
    }

    public int getvShowMemberPhoneFront() {
        return vShowMemberPhoneFront;
    }

    public void setvShowMemberPhoneFront(int vShowMemberPhoneFront) {
        this.vShowMemberPhoneFront = vShowMemberPhoneFront;
    }

    public int getvShowMemberPhoneBack() {
        return vShowMemberPhoneBack;
    }

    public void setvShowMemberPhoneBack(int vShowMemberPhoneBack) {
        this.vShowMemberPhoneBack = vShowMemberPhoneBack;
    }

    public int getvShowMemberNameChar() {
        return vShowMemberNameChar;
    }

    public void setvShowMemberNameChar(int vShowMemberNameChar) {
        this.vShowMemberNameChar = vShowMemberNameChar;
    }

    public int getBarCode_Height() {
        return BarCode_Height;
    }

    public void setBarCode_Height(int barCode_Height) {
        BarCode_Height = barCode_Height;
    }

    public int getBarCode_width() {
        return BarCode_width;
    }

    public void setBarCode_width(int barCode_width) {
        BarCode_width = barCode_width;
    }

    public int getIntegralQR_Size() {
        return IntegralQR_Size;
    }

    public void setIntegralQR_Size(int integralQR_Size) {
        IntegralQR_Size = integralQR_Size;
    }

    public String getIntegralTitle() {
        return IntegralTitle;
    }

    public void setIntegralTitle(String integralTitle) {
        IntegralTitle = integralTitle;
    }

    public String getIntegralTitle2() {
        return IntegralTitle2;
    }

    public void setIntegralTitle2(String integralTitle2) {
        IntegralTitle2 = integralTitle2;
    }

    public String getServingPaperTitle() {
        return ServingPaperTitle;
    }

    public void setServingPaperTitle(String servingPaperTitle) {
        ServingPaperTitle = servingPaperTitle;
    }

    public String getUseExternalPrintByMachineName() {
        return UseExternalPrintByMachineName;
    }

    public void setUseExternalPrintByMachineName(String useExternalPrintByMachineName) {
        UseExternalPrintByMachineName = useExternalPrintByMachineName;
    }

    public String getUseSkyOrderFunctionByMachineName() {
        return UseSkyOrderFunctionByMachineName;
    }

    public void setUseSkyOrderFunctionByMachineName(String useSkyOrderFunctionByMachineName) {
        UseSkyOrderFunctionByMachineName = useSkyOrderFunctionByMachineName;
    }

    public String getPrintIntegralQRCodeByMachineName() {
        return PrintIntegralQRCodeByMachineName;
    }

    public void setPrintIntegralQRCodeByMachineName(String printIntegralQRCodeByMachineName) {
        PrintIntegralQRCodeByMachineName = printIntegralQRCodeByMachineName;
    }

    public String getPrintMemberInfoByMachineName() {
        return PrintMemberInfoByMachineName;
    }

    public void setPrintMemberInfoByMachineName(String printMemberInfoByMachineName) {
        PrintMemberInfoByMachineName = printMemberInfoByMachineName;
    }

    public String getPrintOrderBarCodeByMachineName() {
        return PrintOrderBarCodeByMachineName;
    }

    public void setPrintOrderBarCodeByMachineName(String printOrderBarCodeByMachineName) {
        PrintOrderBarCodeByMachineName = printOrderBarCodeByMachineName;
    }

    public String getServingPaperBarCodeByMachineName() {
        return ServingPaperBarCodeByMachineName;
    }

    public void setServingPaperBarCodeByMachineName(String servingPaperBarCodeByMachineName) {
        ServingPaperBarCodeByMachineName = servingPaperBarCodeByMachineName;
    }

    public int getPrintOrderInfo_TextSize() {
        return PrintOrderInfo_TextSize;
    }

    public void setPrintOrderInfo_TextSize(int printOrderInfo_TextSize) {
        PrintOrderInfo_TextSize = printOrderInfo_TextSize;
    }

    public int getPrintOrderFood_TextSize() {
        return PrintOrderFood_TextSize;
    }

    public void setPrintOrderFood_TextSize(int printOrderFood_TextSize) {
        PrintOrderFood_TextSize = printOrderFood_TextSize;
    }

    public int getPrintOrderMoney_TextSize() {
        return PrintOrderMoney_TextSize;
    }

    public void setPrintOrderMoney_TextSize(int printOrderMoney_TextSize) {
        PrintOrderMoney_TextSize = printOrderMoney_TextSize;
    }

    public int getPrintMemberInfo_TextSize() {
        return PrintMemberInfo_TextSize;
    }

    public void setPrintMemberInfo_TextSize(int printMemberInfo_TextSize) {
        PrintMemberInfo_TextSize = printMemberInfo_TextSize;
    }

    public String getQRTable_FlagText() {
        return QRTable_FlagText;
    }

    public void setQRTable_FlagText(String QRTable_FlagText) {
        this.QRTable_FlagText = QRTable_FlagText;
    }

    public int getQRTable_FlagTextSize() {
        return QRTable_FlagTextSize;
    }

    public void setQRTable_FlagTextSize(int QRTable_FlagTextSize) {
        this.QRTable_FlagTextSize = QRTable_FlagTextSize;
    }

    public String getQRTable_FlagTextColor() {
        return QRTable_FlagTextColor;
    }

    public void setQRTable_FlagTextColor(String QRTable_FlagTextColor) {
        this.QRTable_FlagTextColor = QRTable_FlagTextColor;
    }

    public int getComboNeedOmitLength() {
        return ComboNeedOmitLength;
    }

    public void setComboNeedOmitLength(int comboNeedOmitLength) {
        ComboNeedOmitLength = comboNeedOmitLength;
    }

    public String getIPLockInputPassword() {
        return IPLockPassword;
    }

    public void setIPLockInputPassword(String IPLockPassword) {
        this.IPLockPassword = IPLockPassword;
    }

    public int getClickInterval() {
        return ClickInterval;
    }

    public void setClickInterval(int clickInterval) {
        ClickInterval = clickInterval;
    }

    public int getMealTemporay_GroupMaxCount() {
        return MealTemporay_GroupMaxCount;
    }

    public void setMealTemporay_GroupMaxCount(int mealTemporay_GroupMaxCount) {
        MealTemporay_GroupMaxCount = mealTemporay_GroupMaxCount;
    }

    public int getMealTemporay_ItemMaxCount() {
        return MealTemporay_ItemMaxCount;
    }

    public void setMealTemporay_ItemMaxCount(int mealTemporay_ItemMaxCount) {
        MealTemporay_ItemMaxCount = mealTemporay_ItemMaxCount;
    }

    public int getMealTemporay_TextSize() {
        return MealTemporay_TextSize;
    }

    public void setMealTemporay_TextSize(int mealTemporay_TextSize) {
        MealTemporay_TextSize = mealTemporay_TextSize;
    }

    public boolean isOrderFunction_FoodTemporay() {
        return OrderFunction_FoodTemporay;
    }

    public void setOrderFunction_FoodTemporay(boolean orderFunction_FoodTemporay) {
        OrderFunction_FoodTemporay = orderFunction_FoodTemporay;
    }

    public String getMealTemporay_OmittedText() {
        return MealTemporay_OmittedText;
    }

    public void setMealTemporay_OmittedText(String mealTemporay_OmittedText) {
        MealTemporay_OmittedText = mealTemporay_OmittedText;
    }

    public String getQRTable_FlagTextBackGroup() {
        return QRTable_FlagTextBackGroup;
    }

    public void setQRTable_FlagTextBackGroup(String QRTable_FlagTextBackGroup) {
        this.QRTable_FlagTextBackGroup = QRTable_FlagTextBackGroup;
    }

    public int getQRTable_FlagWith() {
        return QRTable_FlagWith;
    }

    public void setQRTable_FlagWith(int QRTable_FlagWith) {
        this.QRTable_FlagWith = QRTable_FlagWith;
    }

    public int getQRTable_FlagHeight() {
        return QRTable_FlagHeight;
    }

    public void setQRTable_FlagHeight(int QRTable_FlagHeight) {
        this.QRTable_FlagHeight = QRTable_FlagHeight;
    }

    public int getContemporarySelectedPayWayCount() {
        return ContemporarySelectedPayWayCount;
    }

    public void setContemporarySelectedPayWayCount(int contemporarySelectedPayWayCount) {
        ContemporarySelectedPayWayCount = contemporarySelectedPayWayCount;
    }

    public void setSkyorderLock(String skyorderLock) {
        SkyorderLock = skyorderLock;
    }

    public int getLockScreenChronometerTime() {
        return LockScreenChronometerTime;
    }

    public void setLockScreenChronometerTime(int lockScreenChronometerTime) {
        this.LockScreenChronometerTime = lockScreenChronometerTime;
    }

    public int getLockScreenBrightness() {
        return LockScreenBrightness;
    }

    public void setLockScreenBrightness(int lockScreenBrightness) {
        this.LockScreenBrightness = lockScreenBrightness;
    }

    public boolean isShowLockScreenButton() {
        return ShowLockScreenButton;
    }

    public void setShowLockScreenButton(boolean showLockScreenButton) {
        ShowLockScreenButton = showLockScreenButton;
    }
}
